package services

import (
	"context"

	"github.com/sirupsen/logrus"
)

// @provider
type audit struct{}

func (s *audit) Log(ctx context.Context, operatorID int64, action, targetID, detail string) {
	logrus.WithFields(logrus.Fields{
		"audit":    true,
		"operator": operatorID,
		"action":   action,
		"target":   targetID,
		"detail":   detail,
	}).Info("Audit Log")
}
